> ## Documentation Index
> Fetch the complete documentation index at: https://platform.perso.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Model Styles

> List available model styles with optional filtering.

## Query Parameters

| Parameter | Required | Description |
|-----------|----------|-------------|
| `platform_type` | No | Filter by platform type |

## Platform Types

| Type | Description |
|------|-------------|
| `webrtc` | Real-time WebRTC streaming |
| `studio` | Offline video generation |
| `onpremise` | On-premise deployment |




## OpenAPI

````yaml /specs/openapi-interactive.json get /api/v1/settings/modelstyle/
openapi: 3.0.3
info:
  title: Perso Interactive API
  version: 0.0.0
servers:
  - url: https://platform.perso.ai
security: []
tags:
  - name: Embed
paths:
  /api/v1/settings/modelstyle/:
    get:
      tags:
        - Session Resources
      summary: List Model Styles
      description: |
        List available model styles with optional filtering.

        ## Query Parameters

        | Parameter | Required | Description |
        |-----------|----------|-------------|
        | `platform_type` | No | Filter by platform type |

        ## Platform Types

        | Type | Description |
        |------|-------------|
        | `webrtc` | Real-time WebRTC streaming |
        | `studio` | Offline video generation |
        | `onpremise` | On-premise deployment |
      operationId: v1_settings_modelstyle_list
      parameters:
        - in: query
          name: platform_type
          schema:
            type: string
            enum:
              - android
              - ios
              - webrtc
          description: Filter by platform type
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelStyle'
          description: ''
        '401':
          description: Unauthorized - Invalid or missing authentication credentials.
        '403':
          description: Forbidden - You do not have permission to perform this action.
        '500':
          description: Internal Server Error - An unexpected error occurred.
      security:
        - PersoPlatform-APIKey: []
        - {}
components:
  schemas:
    ModelStyle:
      type: object
      properties:
        name:
          type: string
          maxLength: 100
        model:
          type: string
        model_file:
          type: string
          format: uri
          nullable: true
        model_files:
          type: array
          items:
            $ref: '#/components/schemas/AIHumanModelFile'
          readOnly: true
        style:
          type: string
          maxLength: 100
        file:
          type: string
          format: uri
          nullable: true
        files:
          type: array
          items:
            $ref: '#/components/schemas/ModelStyleFile'
          readOnly: true
        platform_type:
          allOf:
            - $ref: '#/components/schemas/PlatformTypeEnum'
          description: |-
            Platform type for this model style

            * `android` - Android
            * `ios` - iOS
            * `webrtc` - WebRTC
        configs:
          type: array
          items:
            $ref: '#/components/schemas/ModelStyleConfig'
          readOnly: true
      required:
        - configs
        - files
        - model
        - model_files
        - name
        - style
    AIHumanModelFile:
      type: object
      properties:
        name:
          type: string
          maxLength: 100
        file:
          type: string
          format: uri
          nullable: true
      required:
        - name
    ModelStyleFile:
      type: object
      properties:
        name:
          type: string
          maxLength: 100
        file:
          type: string
          format: uri
          nullable: true
      required:
        - name
    PlatformTypeEnum:
      enum:
        - android
        - ios
        - webrtc
      type: string
      description: |-
        * `android` - Android
        * `ios` - iOS
        * `webrtc` - WebRTC
    ModelStyleConfig:
      type: object
      properties:
        modelstyleconfig_id:
          type: string
          maxLength: 100
        key:
          type: string
          maxLength: 100
          pattern: ^[-a-zA-Z0-9_]+$
        value:
          type: string
      required:
        - key
        - modelstyleconfig_id
        - value
  securitySchemes:
    PersoPlatform-APIKey:
      type: apiKey
      in: header
      name: PersoPlatform-APIKey

````